Last Comment Bug 813476 - Enabling offline support for CalDAV calendar breaks dialogs or makes calendar disappear
: Enabling offline support for CalDAV calendar breaks dialogs or makes calendar...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: General (show other bugs)
: Lightning 1.9
: All All
: -- normal with 1 vote (vote)
: 1.9.1
Assigned To: Philipp Kewisch [:Fallen]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-20 02:24 PST by Andreas Wagner [:TheOne]
Modified: 2013-03-10 07:37 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (1.18 KB, patch)
2012-11-29 04:18 PST, Philipp Kewisch [:Fallen]
matthew.mecca: review+
matthew.mecca: approval‑calendar‑aurora+
matthew.mecca: approval‑calendar‑beta+
matthew.mecca: approval‑calendar‑esr+
Details | Diff | Splinter Review

Description Andreas Wagner [:TheOne] 2012-11-20 02:24:28 PST
I'm trying to add a private calendar via CalDAV. When adding a new calendar and enabling offline support, the dialog does not close at the end, but an error is shown in the error console.

STR:
1. Open the "New Calendar" dialog.
2. Check "CalDAV" and fill in an address to a CalDav server.
3. Check "Offline Support".
4. Click "Next".
5. Enter a name for the calendar and click "Next".

Expected behaviour:
The dialog should close and the calendar should be added.

Actual behaviour:
The dialog does not close. The following error is shown at the error console:

Error: '<error>' when calling method: [calICalendar::id] = <unknown>
Source file: resource://calendar/modules/calUtils.jsm -> file:///C:/Users/awagner/AppData/Roaming/Thunderbird/Profiles/9qtdiaml.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calCachedCalendar.js
Line: 194

Adding the same calendar without offline support works fine.
However, if I go the the calendar properties afterwards and enable offline support, after clicking OK the calendar just disappears completely. The following error is shown at the error console:

Error: [Exception... "'[JavaScript Error: "this.mOfflineStorage is null" {file: "file:///C:/Users/awagner/AppData/Roaming/Thunderbird/Profiles/9qtdiaml.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/components/calDavCalendar.js" line: 259}]' when calling method: [calIChangeLog::offlineStorage]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "JS frame :: resource://calendar/modules/calUtils.jsm -> file:///C:/Users/awagner/AppData/Roaming/Thunderbird/Profiles/9qtdiaml.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calCachedCalendar.js :: calCachedCalendar :: line 123"  data: yes] STACK: 1: [resource://calendar/modules/calUtils.jsm -> file:///C:/Users/awagner/AppData/Roaming/Thunderbird/Profiles/9qtdiaml.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:1364] notifyFunc
2: [resource://calendar/modules/calUtils.jsm -> file:///C:/Users/awagner/AppData/Roaming/Thunderbird/Profiles/9qtdiaml.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:1367] calListenerBag_notify
3: [resource://calendar/modules/calProviderUtils.jsm:473] calObserverBag_notify
4: [resource://calendar/modules/calProviderUtils.jsm:790] cPB_setProperty
5: [chrome://calendar/content/calendar-properties-dialog.js:98] onAcceptDialog
6: [chrome://lightning/content/lightning-calendar-properties.js:16] ltn_onAcceptDialog
7: [chrome://global/content/bindings/dialog.xml:367] anonymous
8: [chrome://global/content/bindings/dialog.xml:368] _fireButtonEvent
9: [chrome://global/content/bindings/dialog.xml:342] _doButtonCommand
10: [chrome://global/content/bindings/dialog.xml:331] _handleButtonCommand

Source file: resource://calendar/modules/calUtils.jsm -> file:///C:/Users/awagner/AppData/Roaming/Thunderbird/Profiles/9qtdiaml.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js
Line: 1364
Comment 1 Erdin Kacan 2012-11-22 14:09:23 PST
It also happens for "Google Calendars" too.Enabling Offline mode deletes or hides the calendar.
Comment 2 Philipp Kewisch [:Fallen] 2012-11-29 04:18:10 PST
Created attachment 686531 [details] [diff] [review]
Fix - v1

"In this tragic accident, investigators found it was a break failure. Many cached calendars were lost."
Comment 3 Matthew Mecca [:mmecca] 2012-12-08 19:04:22 PST
Comment on attachment 686531 [details] [diff] [review]
Fix - v1

Case closed. r=mmecca
Comment 5 Matthew Mecca [:mmecca] 2013-02-08 14:35:32 PST
comm-esr17 - https://hg.mozilla.org/releases/comm-esr17/rev/cdeed7b9449b

Note You need to log in before you can comment on or make changes to this bug.